## org.eclipse.ocl.expressions.util
Class ExpressionsValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ocl.expressions.util.ExpressionsValidator

All Implemented Interfaces:
  EValidator

    public class ExpressionsValidator

extends EObjectValidator

The Validator for the model.

Since:
  1.2
See Also:
  `ExpressionsPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`EValidator.Descriptor, EValidator.PatternMatcher, EValidator.Registry, EValidator.SubstitutionLabelProvider`

Field Summary
`static int` `BOOLEAN_LITERAL_EXP__BOOLEAN_TYPE` The `code` for constraint 'Check Boolean Type' of 'Boolean Literal Exp'
`static int` `COLLECTION_ITEM__ITEM_TYPE` The `code` for constraint 'Check Item Type' of 'Collection Item'
`static int` `COLLECTION_LITERAL_EXP__BAG_KIND` The `code` for constraint 'Check Bag Kind' of 'Collection Literal Exp'
`static int` `COLLECTION_LITERAL_EXP__ELEMENT_TYPE` The `code` for constraint 'Check Element Type' of 'Collection Literal Exp'
`static int` `COLLECTION_LITERAL_EXP__NO_COLLECTION_INSTANCES` The `code` for constraint 'Check No Collection Instances' of 'Collection Literal Exp'
`static int` `COLLECTION_LITERAL_EXP__SEQUENCE_KIND` The `code` for constraint 'Check Sequence Kind' of 'Collection Literal Exp'
`static int` `COLLECTION_LITERAL_EXP__SET_KIND` The `code` for constraint 'Check Set Kind' of 'Collection Literal Exp'
`static int` `COLLECTION_RANGE__RANGE_TYPE` The `code` for constraint 'Check Range Type' of 'Collection Range'
`protected static int` `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class
`static String` `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package
`static int` `ENUM_LITERAL_EXP__ENUM_TYPE` The `code` for constraint 'Check Enum Type' of 'Enum Literal Exp'
`static int` `IF_EXP__BOOLEAN_CONDITION` The `code` for constraint 'Check Boolean Condition' of 'If Exp'
`static int` `IF_EXP__IF_TYPE` The `code` for constraint 'Check If Type' of 'If Exp'
`static ExpressionsValidator` `INSTANCE` The cached model package
`static int` `INTEGER_LITERAL_EXP__INTEGER_TYPE` The `code` for constraint 'Check Integer Type' of 'Integer Literal Exp'
`static int` `ITERATE_EXP__BODY_TYPE` The `code` for constraint 'Check Body Type' of 'Iterate Exp'
`static int` `ITERATE_EXP__ITERATE_TYPE` The `code` for constraint 'Check Iterate Type' of 'Iterate Exp'
`static int` `ITERATE_EXP__RESULT_INIT` The `code` for constraint 'Check Result Init' of 'Iterate Exp'
`static int` `ITERATOR_EXP__BOOLEAN_BODY_TYPE` The `code` for constraint 'Check Boolean Body Type' of 'Iterator Exp'
`static int` `ITERATOR_EXP__BOOLEAN_TYPE` The `code` for constraint 'Check Boolean Type' of 'Iterator Exp'
`static int` `ITERATOR_EXP__COLLECT_TYPE` The `code` for constraint 'Check Collect Type' of 'Iterator Exp'
`static int` `ITERATOR_EXP__SELECT_REJECT_TYPE` The `code` for constraint 'Check Select Reject Type' of 'Iterator Exp'
`static int` `LET_EXP__LET_TYPE` The `code` for constraint 'Check Let Type' of 'Let Exp'
`static int` `LOOP_EXP__LOOP_VARIABLE_INIT` The `code` for constraint 'Check Loop Variable Init' of 'Loop Exp'
`static int` `LOOP_EXP__LOOP_VARIABLE_TYPE` The `code` for constraint 'Check Loop Variable Type' of 'Loop Exp'
`static int` `LOOP_EXP__SOURCE_COLLECTION` The `code` for constraint 'Check Source Collection' of 'Loop Exp'
`static int` `MESSAGE_EXP__HAS_OPERATION_OR_SIGNAL` The `code` for constraint 'Check Has Operation Or Signal' of 'Message Exp'
`static int` `MESSAGE_EXP__OPERATION_ARGUMENTS` The `code` for constraint 'Check Operation Arguments' of 'Message Exp'
`static int` `MESSAGE_EXP__SIGNAL_ARGUMENTS` The `code` for constraint 'Check Signal Arguments' of 'Message Exp'
`static int` `MESSAGE_EXP__TARGET_DEFINES_OPERATION` The `code` for constraint 'Check Target Defines Operation' of 'Message Exp'
`static int` `MESSAGE_EXP__TARGET_NOT_COLLECTION` The `code` for constraint 'Check Target Not Collection' of 'Message Exp'
`static int` `OPERATION_CALL_EXP__ARGUMENT_COUNT` The `code` for constraint 'Check Argument Count' of 'Operation Call Exp'
`static int` `OPERATION_CALL_EXP__ARGUMENTS_CONFORM` The `code` for constraint 'Check Arguments Conform' of 'Operation Call Exp'
`static int` `PROPERTY_CALL_EXP__PROPERTY_TYPE` The `code` for constraint 'Check Property Type' of 'Property Call Exp'
`static int` `REAL_LITERAL_EXP__REAL_TYPE` The `code` for constraint 'Check Real Type' of 'Real Literal Exp'
`static int` `STRING_LITERAL_EXP__STRING_TYPE` The `code` for constraint 'Check String Type' of 'String Literal Exp'
`static int` `TUPLE_LITERAL_EXP__PARTS_UNIQUE` The `code` for constraint 'Check Parts Unique' of 'Tuple Literal Exp'
`static int` `TUPLE_LITERAL_EXP__TUPLE_TYPE` The `code` for constraint 'Check Tuple Type' of 'Tuple Literal Exp'
`static int` `TUPLE_LITERAL_PART__VALUE_TYPE` The `code` for constraint 'Check Value Type' of 'Tuple Literal Part'
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__NATURAL_TYPE` The `code` for constraint 'Check Natural Type' of 'Unlimited Natural Literal Exp'
`static int` `VARIABLE__INIT_TYPE` The `code` for constraint 'Check Init Type' of 'Variable'
`static int` `VARIABLE_EXP__VAR_TYPE` The `code` for constraint 'Check Var Type' of 'Variable Exp'

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`ExpressionsValidator()` Creates an instance of the switch

Method Summary
`protected EPackage` `getEPackage()` Returns the package of this validator switch
`ResourceLocator` `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics
`protected boolean` `validate(int classifierID, Object value, DiagnosticChain diagnostics, Map<Object,Object> context)` Calls `validateXXX` for the corresponding classifier of the model
`boolean` `validateAssociationClassCallExp(AssociationClassCallExp<?,?> associationClassCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateBooleanLiteralExp_checkBooleanType(BooleanLiteralExp<?> booleanLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkBooleanType constraint of 'Boolean Literal Exp'
`boolean` `validateBooleanLiteralExp(BooleanLiteralExp<?> booleanLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCallExp(CallExp<?> callExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionItem_checkItemType(CollectionItem<?> collectionItem, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkItemType constraint of 'Collection Item'
`boolean` `validateCollectionItem(CollectionItem<?> collectionItem, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionKind(CollectionKind collectionKind, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionLiteralExp_checkBagKind(CollectionLiteralExp<?> collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkBagKind constraint of 'Collection Literal Exp'
`boolean` `validateCollectionLiteralExp_checkElementType(CollectionLiteralExp<?> collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkElementType constraint of 'Collection Literal Exp'
`boolean` `validateCollectionLiteralExp_checkNoCollectionInstances(CollectionLiteralExp<?> collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkNoCollectionInstances constraint of 'Collection Literal Exp'
`boolean` `validateCollectionLiteralExp_checkSequenceKind(CollectionLiteralExp<?> collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkSequenceKind constraint of 'Collection Literal Exp'
`boolean` `validateCollectionLiteralExp_checkSetKind(CollectionLiteralExp<?> collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkSetKind constraint of 'Collection Literal Exp'
`boolean` `validateCollectionLiteralExp(CollectionLiteralExp<?> collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionLiteralPart(CollectionLiteralPart<?> collectionLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionRange_checkRangeType(CollectionRange<?> collectionRange, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkRangeType constraint of 'Collection Range'
`boolean` `validateCollectionRange(CollectionRange<?> collectionRange, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateEnumLiteralExp_checkEnumType(EnumLiteralExp<?,?> enumLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkEnumType constraint of 'Enum Literal Exp'
`boolean` `validateEnumLiteralExp(EnumLiteralExp<?,?> enumLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateFeatureCallExp(FeatureCallExp<?> featureCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIfExp_checkBooleanCondition(IfExp<?> ifExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkBooleanCondition constraint of 'If Exp'
`boolean` `validateIfExp_checkIfType(IfExp<?> ifExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkIfType constraint of 'If Exp'
`boolean` `validateIfExp(IfExp<?> ifExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIntegerLiteralExp_checkIntegerType(IntegerLiteralExp<?> integerLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkIntegerType constraint of 'Integer Literal Exp'
`boolean` `validateIntegerLiteralExp(IntegerLiteralExp<?> integerLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateInvalidLiteralExp(InvalidLiteralExp<?> invalidLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIterateExp_checkBodyType(IterateExp<?,?> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkBodyType constraint of 'Iterate Exp'
`boolean` `validateIterateExp_checkIterateType(IterateExp<?,?> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkIterateType constraint of 'Iterate Exp'
`boolean` `validateIterateExp_checkResultInit(IterateExp<?,?> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkResultInit constraint of 'Iterate Exp'
`boolean` `validateIterateExp(IterateExp<?,?> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIteratorExp_checkBooleanBodyType(IteratorExp<?,?> iteratorExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkBooleanBodyType constraint of 'Iterator Exp'
`boolean` `validateIteratorExp_checkBooleanType(IteratorExp<?,?> iteratorExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkBooleanType constraint of 'Iterator Exp'
`boolean` `validateIteratorExp_checkCollectType(IteratorExp<?,?> iteratorExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkCollectType constraint of 'Iterator Exp'
`boolean` `validateIteratorExp_checkSelectRejectType(IteratorExp<?,?> iteratorExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkSelectRejectType constraint of 'Iterator Exp'
`boolean` `validateIteratorExp(IteratorExp<?,?> iteratorExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateLetExp_checkLetType(LetExp<?,?> letExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkLetType constraint of 'Let Exp'
`boolean` `validateLetExp(LetExp<?,?> letExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateLiteralExp(LiteralExp<?> literalExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateLoopExp_checkLoopVariableInit(LoopExp<?,?> loopExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkLoopVariableInit constraint of 'Loop Exp'
`boolean` `validateLoopExp_checkLoopVariableType(LoopExp<?,?> loopExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkLoopVariableType constraint of 'Loop Exp'
`boolean` `validateLoopExp_checkSourceCollection(LoopExp<?,?> loopExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkSourceCollection constraint of 'Loop Exp'
`boolean` `validateLoopExp(LoopExp<?,?> loopExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateMessageExp_checkHasOperationOrSignal(MessageExp<?,?,?> messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkHasOperationOrSignal constraint of 'Message Exp'
`boolean` `validateMessageExp_checkOperationArguments(MessageExp<?,?,?> messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkOperationArguments constraint of 'Message Exp'
`boolean` `validateMessageExp_checkSignalArguments(MessageExp<?,?,?> messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkSignalArguments constraint of 'Message Exp'
`boolean` `validateMessageExp_checkTargetDefinesOperation(MessageExp<?,?,?> messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkTargetDefinesOperation constraint of 'Message Exp'
`boolean` `validateMessageExp_checkTargetNotCollection(MessageExp<?,?,?> messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkTargetNotCollection constraint of 'Message Exp'
`boolean` `validateMessageExp(MessageExp<?,?,?> messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateNavigationCallExp(NavigationCallExp<?,?> navigationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateNullLiteralExp(NullLiteralExp<?> nullLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateNumericLiteralExp(NumericLiteralExp<?> numericLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateOCLExpression(OCLExpression<?> oclExpression, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateOperationCallExp_checkArgumentCount(OperationCallExp<?,?> operationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkArgumentCount constraint of 'Operation Call Exp'
`boolean` `validateOperationCallExp_checkArgumentsConform(OperationCallExp<?,?> operationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkArgumentsConform constraint of 'Operation Call Exp'
`boolean` `validateOperationCallExp(OperationCallExp<?,?> operationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validatePrimitiveLiteralExp(PrimitiveLiteralExp<?> primitiveLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validatePropertyCallExp_checkPropertyType(PropertyCallExp<?,?> propertyCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkPropertyType constraint of 'Property Call Exp'
`boolean` `validatePropertyCallExp(PropertyCallExp<?,?> propertyCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateRealLiteralExp_checkRealType(RealLiteralExp<?> realLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkRealType constraint of 'Real Literal Exp'
`boolean` `validateRealLiteralExp(RealLiteralExp<?> realLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateStateExp(StateExp<?,?> stateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateStringLiteralExp_checkStringType(StringLiteralExp<?> stringLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkStringType constraint of 'String Literal Exp'
`boolean` `validateStringLiteralExp(StringLiteralExp<?> stringLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTupleLiteralExp_checkPartsUnique(TupleLiteralExp<?,?> tupleLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkPartsUnique constraint of 'Tuple Literal Exp'
`boolean` `validateTupleLiteralExp_checkTupleType(TupleLiteralExp<?,?> tupleLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkTupleType constraint of 'Tuple Literal Exp'
`boolean` `validateTupleLiteralExp(TupleLiteralExp<?,?> tupleLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTupleLiteralPart_checkValueType(TupleLiteralPart<?,?> tupleLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkValueType constraint of 'Tuple Literal Part'
`boolean` `validateTupleLiteralPart(TupleLiteralPart<?,?> tupleLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTypeExp(TypeExp<?> typeExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateUnlimitedNaturalLiteralExp_checkNaturalType(UnlimitedNaturalLiteralExp<?> unlimitedNaturalLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkNaturalType constraint of 'Unlimited Natural Literal Exp'
`boolean` `validateUnlimitedNaturalLiteralExp(UnlimitedNaturalLiteralExp<?> unlimitedNaturalLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateUnspecifiedValueExp(UnspecifiedValueExp<?> unspecifiedValueExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateVariable_checkInitType(Variable<?,?> variable, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkInitType constraint of 'Variable'
`boolean` `validateVariable(Variable<?,?> variable, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateVariableExp_checkVarType(VariableExp<?,?> variableExp, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkVarType constraint of 'Variable Exp'
`boolean` `validateVariableExp(VariableExp<?,?> variableExp, DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`createBadDataValueDiagnostic, createDiagnostic, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValueLabel, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate_DataValueConforms, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_UniqueID, validate, validate, validate, validatePattern, wrapEnumerationValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ExpressionsValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### BOOLEAN_LITERAL_EXP__BOOLEAN_TYPE

    public static final int BOOLEAN_LITERAL_EXP__BOOLEAN_TYPE

  The `code` for constraint 'Check Boolean Type' of 'Boolean Literal Exp'.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__ITEM_TYPE

    public static final int COLLECTION_ITEM__ITEM_TYPE

  The `code` for constraint 'Check Item Type' of 'Collection Item'.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__NO_COLLECTION_INSTANCES

    public static final int COLLECTION_LITERAL_EXP__NO_COLLECTION_INSTANCES

  The `code` for constraint 'Check No Collection Instances' of 'Collection Literal Exp'.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__SET_KIND

    public static final int COLLECTION_LITERAL_EXP__SET_KIND

  The `code` for constraint 'Check Set Kind' of 'Collection Literal Exp'.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__SEQUENCE_KIND

    public static final int COLLECTION_LITERAL_EXP__SEQUENCE_KIND

  The `code` for constraint 'Check Sequence Kind' of 'Collection Literal Exp'.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__BAG_KIND

    public static final int COLLECTION_LITERAL_EXP__BAG_KIND

  The `code` for constraint 'Check Bag Kind' of 'Collection Literal Exp'.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__ELEMENT_TYPE

    public static final int COLLECTION_LITERAL_EXP__ELEMENT_TYPE

  The `code` for constraint 'Check Element Type' of 'Collection Literal Exp'.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__RANGE_TYPE

    public static final int COLLECTION_RANGE__RANGE_TYPE

  The `code` for constraint 'Check Range Type' of 'Collection Range'.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__ENUM_TYPE

    public static final int ENUM_LITERAL_EXP__ENUM_TYPE

  The `code` for constraint 'Check Enum Type' of 'Enum Literal Exp'.

  See Also:
    Constant Field Values

### IF_EXP__BOOLEAN_CONDITION

    public static final int IF_EXP__BOOLEAN_CONDITION

  The `code` for constraint 'Check Boolean Condition' of 'If Exp'.

  See Also:
    Constant Field Values

### IF_EXP__IF_TYPE

    public static final int IF_EXP__IF_TYPE

  The `code` for constraint 'Check If Type' of 'If Exp'.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__INTEGER_TYPE

    public static final int INTEGER_LITERAL_EXP__INTEGER_TYPE

  The `code` for constraint 'Check Integer Type' of 'Integer Literal Exp'.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__NATURAL_TYPE

    public static final int UNLIMITED_NATURAL_LITERAL_EXP__NATURAL_TYPE

  The `code` for constraint 'Check Natural Type' of 'Unlimited Natural Literal Exp'.

  See Also:
    Constant Field Values

### ITERATE_EXP__ITERATE_TYPE

    public static final int ITERATE_EXP__ITERATE_TYPE

  The `code` for constraint 'Check Iterate Type' of 'Iterate Exp'.

  See Also:
    Constant Field Values

### ITERATE_EXP__BODY_TYPE

    public static final int ITERATE_EXP__BODY_TYPE

  The `code` for constraint 'Check Body Type' of 'Iterate Exp'.

  See Also:
    Constant Field Values

### ITERATE_EXP__RESULT_INIT

    public static final int ITERATE_EXP__RESULT_INIT

  The `code` for constraint 'Check Result Init' of 'Iterate Exp'.

  See Also:
    Constant Field Values

### LOOP_EXP__SOURCE_COLLECTION

    public static final int LOOP_EXP__SOURCE_COLLECTION

  The `code` for constraint 'Check Source Collection' of 'Loop Exp'.

  See Also:
    Constant Field Values

### LOOP_EXP__LOOP_VARIABLE_INIT

    public static final int LOOP_EXP__LOOP_VARIABLE_INIT

  The `code` for constraint 'Check Loop Variable Init' of 'Loop Exp'.

  See Also:
    Constant Field Values

### LOOP_EXP__LOOP_VARIABLE_TYPE

    public static final int LOOP_EXP__LOOP_VARIABLE_TYPE

  The `code` for constraint 'Check Loop Variable Type' of 'Loop Exp'.

  See Also:
    Constant Field Values

### VARIABLE__INIT_TYPE

    public static final int VARIABLE__INIT_TYPE

  The `code` for constraint 'Check Init Type' of 'Variable'.

  See Also:
    Constant Field Values

### ITERATOR_EXP__BOOLEAN_TYPE

    public static final int ITERATOR_EXP__BOOLEAN_TYPE

  The `code` for constraint 'Check Boolean Type' of 'Iterator Exp'.

  See Also:
    Constant Field Values

### ITERATOR_EXP__COLLECT_TYPE

    public static final int ITERATOR_EXP__COLLECT_TYPE

  The `code` for constraint 'Check Collect Type' of 'Iterator Exp'.

  See Also:
    Constant Field Values

### ITERATOR_EXP__SELECT_REJECT_TYPE

    public static final int ITERATOR_EXP__SELECT_REJECT_TYPE

  The `code` for constraint 'Check Select Reject Type' of 'Iterator Exp'.

  See Also:
    Constant Field Values

### ITERATOR_EXP__BOOLEAN_BODY_TYPE

    public static final int ITERATOR_EXP__BOOLEAN_BODY_TYPE

  The `code` for constraint 'Check Boolean Body Type' of 'Iterator Exp'.

  See Also:
    Constant Field Values

### LET_EXP__LET_TYPE

    public static final int LET_EXP__LET_TYPE

  The `code` for constraint 'Check Let Type' of 'Let Exp'.

  See Also:
    Constant Field Values

### MESSAGE_EXP__OPERATION_ARGUMENTS

    public static final int MESSAGE_EXP__OPERATION_ARGUMENTS

  The `code` for constraint 'Check Operation Arguments' of 'Message Exp'.

  See Also:
    Constant Field Values

### MESSAGE_EXP__SIGNAL_ARGUMENTS

    public static final int MESSAGE_EXP__SIGNAL_ARGUMENTS

  The `code` for constraint 'Check Signal Arguments' of 'Message Exp'.

  See Also:
    Constant Field Values

### MESSAGE_EXP__TARGET_DEFINES_OPERATION

    public static final int MESSAGE_EXP__TARGET_DEFINES_OPERATION

  The `code` for constraint 'Check Target Defines Operation' of 'Message Exp'.

  See Also:
    Constant Field Values

### MESSAGE_EXP__HAS_OPERATION_OR_SIGNAL

    public static final int MESSAGE_EXP__HAS_OPERATION_OR_SIGNAL

  The `code` for constraint 'Check Has Operation Or Signal' of 'Message Exp'.

  See Also:
    Constant Field Values

### MESSAGE_EXP__TARGET_NOT_COLLECTION

    public static final int MESSAGE_EXP__TARGET_NOT_COLLECTION

  The `code` for constraint 'Check Target Not Collection' of 'Message Exp'.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__ARGUMENTS_CONFORM

    public static final int OPERATION_CALL_EXP__ARGUMENTS_CONFORM

  The `code` for constraint 'Check Arguments Conform' of 'Operation Call Exp'.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__ARGUMENT_COUNT

    public static final int OPERATION_CALL_EXP__ARGUMENT_COUNT

  The `code` for constraint 'Check Argument Count' of 'Operation Call Exp'.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__PROPERTY_TYPE

    public static final int PROPERTY_CALL_EXP__PROPERTY_TYPE

  The `code` for constraint 'Check Property Type' of 'Property Call Exp'.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__REAL_TYPE

    public static final int REAL_LITERAL_EXP__REAL_TYPE

  The `code` for constraint 'Check Real Type' of 'Real Literal Exp'.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__STRING_TYPE

    public static final int STRING_LITERAL_EXP__STRING_TYPE

  The `code` for constraint 'Check String Type' of 'String Literal Exp'.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__TUPLE_TYPE

    public static final int TUPLE_LITERAL_EXP__TUPLE_TYPE

  The `code` for constraint 'Check Tuple Type' of 'Tuple Literal Exp'.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__PARTS_UNIQUE

    public static final int TUPLE_LITERAL_EXP__PARTS_UNIQUE

  The `code` for constraint 'Check Parts Unique' of 'Tuple Literal Exp'.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__VALUE_TYPE

    public static final int TUPLE_LITERAL_PART__VALUE_TYPE

  The `code` for constraint 'Check Value Type' of 'Tuple Literal Part'.

  See Also:
    Constant Field Values

### VARIABLE_EXP__VAR_TYPE

    public static final int VARIABLE_EXP__VAR_TYPE

  The `code` for constraint 'Check Var Type' of 'Variable Exp'.

  See Also:
    Constant Field Values

### DIAGNOSTIC_CODE_COUNT

    protected static final int DIAGNOSTIC_CODE_COUNT

  A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

  See Also:
    Constant Field Values

Constructor Detail

### ExpressionsValidator

    public ExpressionsValidator()

  Creates an instance of the switch.

Method Detail

### getEPackage

    protected EPackage getEPackage()

  Returns the package of this validator switch.

  Overrides:
    `getEPackage` in class `EObjectValidator`

### validate

    protected boolean validate(int classifierID,
                               Object value,
                               DiagnosticChain diagnostics,
                               Map<Object,Object> context)

  Calls `validateXXX` for the corresponding classifier of the model.

  Overrides:
    `validate` in class `EObjectValidator`

### validateAssociationClassCallExp

    public boolean validateAssociationClassCallExp(AssociationClassCallExp<?,?> associationClassCallExp,
                                                   DiagnosticChain diagnostics,
                                                   Map<Object,Object> context)

### validateNavigationCallExp

    public boolean validateNavigationCallExp(NavigationCallExp<?,?> navigationCallExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateFeatureCallExp

    public boolean validateFeatureCallExp(FeatureCallExp<?> featureCallExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateCallExp

    public boolean validateCallExp(CallExp<?> callExp,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateOCLExpression

    public boolean validateOCLExpression(OCLExpression<?> oclExpression,
                                         DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

### validateBooleanLiteralExp

    public boolean validateBooleanLiteralExp(BooleanLiteralExp<?> booleanLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateBooleanLiteralExp_checkBooleanType

    public boolean validateBooleanLiteralExp_checkBooleanType(BooleanLiteralExp<?> booleanLiteralExp,
                                                              DiagnosticChain diagnostics,
                                                              Map<Object,Object> context)

  Validates the checkBooleanType constraint of 'Boolean Literal Exp'.

### validatePrimitiveLiteralExp

    public boolean validatePrimitiveLiteralExp(PrimitiveLiteralExp<?> primitiveLiteralExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

### validateLiteralExp

    public boolean validateLiteralExp(LiteralExp<?> literalExp,
                                      DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateCollectionItem

    public boolean validateCollectionItem(CollectionItem<?> collectionItem,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateCollectionItem_checkItemType

    public boolean validateCollectionItem_checkItemType(CollectionItem<?> collectionItem,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  Validates the checkItemType constraint of 'Collection Item'.

### validateCollectionLiteralPart

    public boolean validateCollectionLiteralPart(CollectionLiteralPart<?> collectionLiteralPart,
                                                 DiagnosticChain diagnostics,
                                                 Map<Object,Object> context)

### validateCollectionLiteralExp

    public boolean validateCollectionLiteralExp(CollectionLiteralExp<?> collectionLiteralExp,
                                                DiagnosticChain diagnostics,
                                                Map<Object,Object> context)

### validateCollectionLiteralExp_checkNoCollectionInstances

    public boolean validateCollectionLiteralExp_checkNoCollectionInstances(CollectionLiteralExp<?> collectionLiteralExp,
                                                                           DiagnosticChain diagnostics,
                                                                           Map<Object,Object> context)

  Validates the checkNoCollectionInstances constraint of 'Collection Literal Exp'.

### validateCollectionLiteralExp_checkSetKind

    public boolean validateCollectionLiteralExp_checkSetKind(CollectionLiteralExp<?> collectionLiteralExp,
                                                             DiagnosticChain diagnostics,
                                                             Map<Object,Object> context)

  Validates the checkSetKind constraint of 'Collection Literal Exp'.

### validateCollectionLiteralExp_checkSequenceKind

    public boolean validateCollectionLiteralExp_checkSequenceKind(CollectionLiteralExp<?> collectionLiteralExp,
                                                                  DiagnosticChain diagnostics,
                                                                  Map<Object,Object> context)

  Validates the checkSequenceKind constraint of 'Collection Literal Exp'.

### validateCollectionLiteralExp_checkBagKind

    public boolean validateCollectionLiteralExp_checkBagKind(CollectionLiteralExp<?> collectionLiteralExp,
                                                             DiagnosticChain diagnostics,
                                                             Map<Object,Object> context)

  Validates the checkBagKind constraint of 'Collection Literal Exp'.

### validateCollectionLiteralExp_checkElementType

    public boolean validateCollectionLiteralExp_checkElementType(CollectionLiteralExp<?> collectionLiteralExp,
                                                                 DiagnosticChain diagnostics,
                                                                 Map<Object,Object> context)

  Validates the checkElementType constraint of 'Collection Literal Exp'.

### validateCollectionRange

    public boolean validateCollectionRange(CollectionRange<?> collectionRange,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validateCollectionRange_checkRangeType

    public boolean validateCollectionRange_checkRangeType(CollectionRange<?> collectionRange,
                                                          DiagnosticChain diagnostics,
                                                          Map<Object,Object> context)

  Validates the checkRangeType constraint of 'Collection Range'.

### validateEnumLiteralExp

    public boolean validateEnumLiteralExp(EnumLiteralExp<?,?> enumLiteralExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateEnumLiteralExp_checkEnumType

    public boolean validateEnumLiteralExp_checkEnumType(EnumLiteralExp<?,?> enumLiteralExp,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  Validates the checkEnumType constraint of 'Enum Literal Exp'.

### validateIfExp

    public boolean validateIfExp(IfExp<?> ifExp,
                                 DiagnosticChain diagnostics,
                                 Map<Object,Object> context)

### validateIfExp_checkBooleanCondition

    public boolean validateIfExp_checkBooleanCondition(IfExp<?> ifExp,
                                                       DiagnosticChain diagnostics,
                                                       Map<Object,Object> context)

  Validates the checkBooleanCondition constraint of 'If Exp'.

### validateIfExp_checkIfType

    public boolean validateIfExp_checkIfType(IfExp<?> ifExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

  Validates the checkIfType constraint of 'If Exp'.

### validateIntegerLiteralExp

    public boolean validateIntegerLiteralExp(IntegerLiteralExp<?> integerLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateIntegerLiteralExp_checkIntegerType

    public boolean validateIntegerLiteralExp_checkIntegerType(IntegerLiteralExp<?> integerLiteralExp,
                                                              DiagnosticChain diagnostics,
                                                              Map<Object,Object> context)

  Validates the checkIntegerType constraint of 'Integer Literal Exp'.

### validateNumericLiteralExp

    public boolean validateNumericLiteralExp(NumericLiteralExp<?> numericLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateUnlimitedNaturalLiteralExp

    public boolean validateUnlimitedNaturalLiteralExp(UnlimitedNaturalLiteralExp<?> unlimitedNaturalLiteralExp,
                                                      DiagnosticChain diagnostics,
                                                      Map<Object,Object> context)

### validateUnlimitedNaturalLiteralExp_checkNaturalType

    public boolean validateUnlimitedNaturalLiteralExp_checkNaturalType(UnlimitedNaturalLiteralExp<?> unlimitedNaturalLiteralExp,
                                                                       DiagnosticChain diagnostics,
                                                                       Map<Object,Object> context)

  Validates the checkNaturalType constraint of 'Unlimited Natural Literal Exp'.

### validateInvalidLiteralExp

    public boolean validateInvalidLiteralExp(InvalidLiteralExp<?> invalidLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateIterateExp

    public boolean validateIterateExp(IterateExp<?,?> iterateExp,
                                      DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateIterateExp_checkIterateType

    public boolean validateIterateExp_checkIterateType(IterateExp<?,?> iterateExp,
                                                       DiagnosticChain diagnostics,
                                                       Map<Object,Object> context)

  Validates the checkIterateType constraint of 'Iterate Exp'.

### validateIterateExp_checkBodyType

    public boolean validateIterateExp_checkBodyType(IterateExp<?,?> iterateExp,
                                                    DiagnosticChain diagnostics,
                                                    Map<Object,Object> context)

  Validates the checkBodyType constraint of 'Iterate Exp'.

### validateIterateExp_checkResultInit

    public boolean validateIterateExp_checkResultInit(IterateExp<?,?> iterateExp,
                                                      DiagnosticChain diagnostics,
                                                      Map<Object,Object> context)

  Validates the checkResultInit constraint of 'Iterate Exp'.

### validateLoopExp

    public boolean validateLoopExp(LoopExp<?,?> loopExp,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateLoopExp_checkSourceCollection

    public boolean validateLoopExp_checkSourceCollection(LoopExp<?,?> loopExp,
                                                         DiagnosticChain diagnostics,
                                                         Map<Object,Object> context)

  Validates the checkSourceCollection constraint of 'Loop Exp'.

### validateLoopExp_checkLoopVariableInit

    public boolean validateLoopExp_checkLoopVariableInit(LoopExp<?,?> loopExp,
                                                         DiagnosticChain diagnostics,
                                                         Map<Object,Object> context)

  Validates the checkLoopVariableInit constraint of 'Loop Exp'.

### validateLoopExp_checkLoopVariableType

    public boolean validateLoopExp_checkLoopVariableType(LoopExp<?,?> loopExp,
                                                         DiagnosticChain diagnostics,
                                                         Map<Object,Object> context)

  Validates the checkLoopVariableType constraint of 'Loop Exp'.

### validateVariable

    public boolean validateVariable(Variable<?,?> variable,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateVariable_checkInitType

    public boolean validateVariable_checkInitType(Variable<?,?> variable,
                                                  DiagnosticChain diagnostics,
                                                  Map<Object,Object> context)

  Validates the checkInitType constraint of 'Variable'.

### validateIteratorExp

    public boolean validateIteratorExp(IteratorExp<?,?> iteratorExp,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateIteratorExp_checkBooleanType

    public boolean validateIteratorExp_checkBooleanType(IteratorExp<?,?> iteratorExp,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  Validates the checkBooleanType constraint of 'Iterator Exp'.

### validateIteratorExp_checkCollectType

    public boolean validateIteratorExp_checkCollectType(IteratorExp<?,?> iteratorExp,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  Validates the checkCollectType constraint of 'Iterator Exp'.

### validateIteratorExp_checkSelectRejectType

    public boolean validateIteratorExp_checkSelectRejectType(IteratorExp<?,?> iteratorExp,
                                                             DiagnosticChain diagnostics,
                                                             Map<Object,Object> context)

  Validates the checkSelectRejectType constraint of 'Iterator Exp'.

### validateIteratorExp_checkBooleanBodyType

    public boolean validateIteratorExp_checkBooleanBodyType(IteratorExp<?,?> iteratorExp,
                                                            DiagnosticChain diagnostics,
                                                            Map<Object,Object> context)

  Validates the checkBooleanBodyType constraint of 'Iterator Exp'.

### validateLetExp

    public boolean validateLetExp(LetExp<?,?> letExp,
                                  DiagnosticChain diagnostics,
                                  Map<Object,Object> context)

### validateLetExp_checkLetType

    public boolean validateLetExp_checkLetType(LetExp<?,?> letExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  Validates the checkLetType constraint of 'Let Exp'.

### validateMessageExp

    public boolean validateMessageExp(MessageExp<?,?,?> messageExp,
                                      DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateMessageExp_checkOperationArguments

    public boolean validateMessageExp_checkOperationArguments(MessageExp<?,?,?> messageExp,
                                                              DiagnosticChain diagnostics,
                                                              Map<Object,Object> context)

  Validates the checkOperationArguments constraint of 'Message Exp'.

### validateMessageExp_checkSignalArguments

    public boolean validateMessageExp_checkSignalArguments(MessageExp<?,?,?> messageExp,
                                                           DiagnosticChain diagnostics,
                                                           Map<Object,Object> context)

  Validates the checkSignalArguments constraint of 'Message Exp'.

### validateMessageExp_checkTargetDefinesOperation

    public boolean validateMessageExp_checkTargetDefinesOperation(MessageExp<?,?,?> messageExp,
                                                                  DiagnosticChain diagnostics,
                                                                  Map<Object,Object> context)

  Validates the checkTargetDefinesOperation constraint of 'Message Exp'.

### validateMessageExp_checkHasOperationOrSignal

    public boolean validateMessageExp_checkHasOperationOrSignal(MessageExp<?,?,?> messageExp,
                                                                DiagnosticChain diagnostics,
                                                                Map<Object,Object> context)

  Validates the checkHasOperationOrSignal constraint of 'Message Exp'.

### validateMessageExp_checkTargetNotCollection

    public boolean validateMessageExp_checkTargetNotCollection(MessageExp<?,?,?> messageExp,
                                                               DiagnosticChain diagnostics,
                                                               Map<Object,Object> context)

  Validates the checkTargetNotCollection constraint of 'Message Exp'.

### validateNullLiteralExp

    public boolean validateNullLiteralExp(NullLiteralExp<?> nullLiteralExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateOperationCallExp

    public boolean validateOperationCallExp(OperationCallExp<?,?> operationCallExp,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validateOperationCallExp_checkArgumentsConform

    public boolean validateOperationCallExp_checkArgumentsConform(OperationCallExp<?,?> operationCallExp,
                                                                  DiagnosticChain diagnostics,
                                                                  Map<Object,Object> context)

  Validates the checkArgumentsConform constraint of 'Operation Call Exp'.

### validateOperationCallExp_checkArgumentCount

    public boolean validateOperationCallExp_checkArgumentCount(OperationCallExp<?,?> operationCallExp,
                                                               DiagnosticChain diagnostics,
                                                               Map<Object,Object> context)

  Validates the checkArgumentCount constraint of 'Operation Call Exp'.

### validatePropertyCallExp

    public boolean validatePropertyCallExp(PropertyCallExp<?,?> propertyCallExp,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validatePropertyCallExp_checkPropertyType

    public boolean validatePropertyCallExp_checkPropertyType(PropertyCallExp<?,?> propertyCallExp,
                                                             DiagnosticChain diagnostics,
                                                             Map<Object,Object> context)

  Validates the checkPropertyType constraint of 'Property Call Exp'.

### validateRealLiteralExp

    public boolean validateRealLiteralExp(RealLiteralExp<?> realLiteralExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateRealLiteralExp_checkRealType

    public boolean validateRealLiteralExp_checkRealType(RealLiteralExp<?> realLiteralExp,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  Validates the checkRealType constraint of 'Real Literal Exp'.

### validateStateExp

    public boolean validateStateExp(StateExp<?,?> stateExp,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateStringLiteralExp

    public boolean validateStringLiteralExp(StringLiteralExp<?> stringLiteralExp,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validateStringLiteralExp_checkStringType

    public boolean validateStringLiteralExp_checkStringType(StringLiteralExp<?> stringLiteralExp,
                                                            DiagnosticChain diagnostics,
                                                            Map<Object,Object> context)

  Validates the checkStringType constraint of 'String Literal Exp'.

### validateTupleLiteralExp

    public boolean validateTupleLiteralExp(TupleLiteralExp<?,?> tupleLiteralExp,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validateTupleLiteralExp_checkTupleType

    public boolean validateTupleLiteralExp_checkTupleType(TupleLiteralExp<?,?> tupleLiteralExp,
                                                          DiagnosticChain diagnostics,
                                                          Map<Object,Object> context)

  Validates the checkTupleType constraint of 'Tuple Literal Exp'.

### validateTupleLiteralExp_checkPartsUnique

    public boolean validateTupleLiteralExp_checkPartsUnique(TupleLiteralExp<?,?> tupleLiteralExp,
                                                            DiagnosticChain diagnostics,
                                                            Map<Object,Object> context)

  Validates the checkPartsUnique constraint of 'Tuple Literal Exp'.

### validateTupleLiteralPart

    public boolean validateTupleLiteralPart(TupleLiteralPart<?,?> tupleLiteralPart,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validateTupleLiteralPart_checkValueType

    public boolean validateTupleLiteralPart_checkValueType(TupleLiteralPart<?,?> tupleLiteralPart,
                                                           DiagnosticChain diagnostics,
                                                           Map<Object,Object> context)

  Validates the checkValueType constraint of 'Tuple Literal Part'.

### validateTypeExp

    public boolean validateTypeExp(TypeExp<?> typeExp,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateUnspecifiedValueExp

    public boolean validateUnspecifiedValueExp(UnspecifiedValueExp<?> unspecifiedValueExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

### validateVariableExp

    public boolean validateVariableExp(VariableExp<?,?> variableExp,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateVariableExp_checkVarType

    public boolean validateVariableExp_checkVarType(VariableExp<?,?> variableExp,
                                                    DiagnosticChain diagnostics,
                                                    Map<Object,Object> context)

  Validates the checkVarType constraint of 'Variable Exp'.

### validateCollectionKind

    public boolean validateCollectionKind(CollectionKind collectionKind,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `EObjectValidator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.